Skip to main content
GET
/
api
/
v2
/
projects
/
{projectKey}
/
environments
/
{environmentKey}
/
context-attributes
/
{attributeName}
Get context attribute values
curl --request GET \
  --url https://app.launchdarkly.com/api/v2/projects/{projectKey}/environments/{environmentKey}/context-attributes/{attributeName} \
  --header 'Authorization: <api-key>'
{
  "items": [
    {
      "kind": "user",
      "values": [
        {
          "name": "Sandy",
          "weight": 35
        }
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

projectKey
string<string>
required

The project key

environmentKey
string<string>
required

The environment key

attributeName
string<string>
required

The attribute name

Query Parameters

filter
string<string>

A comma-separated list of context filters. This endpoint only accepts kind filters, with the equals operator, and value filters, with the startsWith operator. To learn more about the filter syntax, read Filtering contexts and context instances.

limit
integer<int64>

Specifies the maximum number of items in the collection to return (max: 100, default: 50)

Response

Context attribute values collection response

items
object[]
required

A collection of context attribute value data grouped by kind.